#include <bits/stdc++.h>

using namespace std;

int a[1000000],b[1000000];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    int n,k,i,br=0,p=0,j=0;
    cin>>n>>k;
    for(i=0;i<n;i++){
        cin>>a[i];
    }
    sort(a,a+n);
    p=a[0];
    br=1;
    for(i=1;i<n;i++){
        if(a[i]==a[i-1]){
            br++;
        }
        else{
            if(br>k-1){
                b[j]=p;
                j++;
                p=a[i];
                br=1;
            }
            else{
                p=a[i];
                br=1;
            }
        }
    }
    if(br>k-1){
        b[j]=p;
        j++;
    }
    cout<<j<<"\n";
    for(i=0;i<j;i++){
        cout<<b[i]<<" ";
    }
    return 0;
}